#include <bits/stdc++.h>

using namespace std;
const int inf=1000000007;


long long pr[100007],b,c,x,y,n,t,res,mi,ma,k,p,l,r;
map<long long, long long>mp;
set<long long>st;
string s;

int main()
{
   cin>>s;
   cin>>t;
   n=s.size();
   pr[0]=1;
   for (int i=1; i<n; i++){
    if (s[i]<s[i-1])pr[i]=pr[i-1]+1;
    else pr[i]=pr[i-1];
   }
  // for (int i=0; i<n; i++)cout << pr[i] << ' ';
   while (t--){
   cin>>l>>r;
    cout << pr[r-1]-pr[l-1]+1 << endl;
   }
}
